void dcf_interrupt(void);
void dcf_auswertung(void);
void dcf_copy(void);
void dcf_check(void);
int parcheck(void);
void dcf_init(void);

enum state { warte_4s, minstart, dcf_1, dcf_2, data_ready, synchron } zustand;


uint8_t dcf_count;								// Zähler für DCF-Symbol
uint16_t dcf_timer;								// Zähler für DCF-Timer		

// Variablen für die interne Uhr 
struct {
			uint8_t einer:4;					// 4 bit für Sekunden-Einer
			uint8_t zehner:3;					// 3 bit für Sekunden-Zehner
	} sekunde;

struct {
			uint8_t einer:4;					// 4 bit für Minuten-Einer
			uint8_t zehner:3;					// 3 bit für Minuten-Zehner
	} minute;
	
struct {
			uint8_t einer:4;					// 4 bit für Stunden-Einer
			uint8_t zehner:2;					// 2 bit für Stunden-Zehner
	} stunde;
	
struct {
			uint8_t einer:4;					// 4 bit für Tag-Einer
			uint8_t zehner:2;					// 2 bit für Tag-Zehner
	} tag;
	
struct {
			uint8_t einer:4;					// 4 bit für Monat-Einer
			uint8_t zehner:1;					// 1 bit für Monat-Zehner
			uint8_t wochentag:3;				// 3 bit für Wochentag
	} monat;
	
struct {
			uint8_t einer:4;					// 4 bit für Jahr-Einer
			uint8_t zehner:4;					// 4 bit für Jahr-Zehner
	} jahr;
	
struct {
			uint8_t z_1:1;						// Speicher für DCF-Zustand(1)
			uint8_t z_2:1;						// Speicher für DCF-Zustand(2)
			uint8_t z:1;						// aktueller DCF-Zustand
			uint8_t folge:1;					// Datensatzfolge (1=OK)
	} dcf;
	
struct {
			uint8_t einer:4;					// 4 bit für Minuten-Einer
			uint8_t zehner:3;					// 3 bit für Minuten-Zehner
			uint8_t parity:1;					// Parity-Bit (P1)
	} dcf_min, dcf_min1;
	
struct {
			uint8_t einer:4;					// 4 bit für Stunden-Einer
			uint8_t zehner:2;					// 2 bit für Stunden-Zehner
			uint8_t parity:1;					// Parity-Bit (P2)
	} dcf_std, dcf_std1;

struct { 
			uint8_t einer:4;					// 4 bit für Tag-Einer
			uint8_t zehner:2;					// 2 bit für Tag-Zehner
			uint8_t parity:1;					// Parity-Bit (P3)
	} dcf_tag, dcf_tag1;
	
struct {
			uint8_t einer:4;					// 4 bit für Monat-Einer
			uint8_t zehner:1;					// 1 bit für Monat-Zehner
			uint8_t wochentag:3;				// 3 bit für Wochentag
	} dcf_monat, dcf_monat1;
	
struct 
{
			uint8_t einer:4;					// 4 bit für Jahr-Einer
			uint8_t zehner:4;					// 4 bit für Jahr-Zehner
} dcf_jahr, dcf_jahr1;



	



